/**************************************************************************
Styling for the Home Page (index.php)
**************************************************************************/

@import url(portfolioGallery.css);
@import url(contactModal.css);
@import url(pages.css);

html, body{

    overflow: hidden;

}

body{
 
    margin: 0;
    padding: 0;
    overflow-y: hidden;
    font-family: "schoolbook", serif;
    font-weight: 400;
    font-style: normal;

}

.pageContentContainer{

    position: fixed;
    overflow-x: hidden;
    width: 100%;
    top: 73px;
    mask: linear-gradient(180deg, transparent, white 2%, white 97%, transparent);
    /* background-color: red; */
    display: flex;
    justify-content: center;
    align-items: flex-start;
    padding-top: 10px;

}

.pageContentContainerShift{

    z-index: 17;

}

.introText{

    margin-top: 0;
    font-size: 1.6em;
    /* width: clamp(250px, 75vw, 550px); */
    text-align: center;
    clip-path: polygon(0 25%, 5% 5%, 5% 0, 95% 0, 95% 5%, 100% 25%, 100% 75%, 95% 95%, 95% 100%, 5% 100%, 5% 95%, 0 75%);
    background-color: rgba(255, 255, 255, 0.7);
    padding: 6px 32px;
    /* box-shadow: inset 0.09rem 0.09rem 0.3rem rgba(0, 0, 0, 0.2), inset
        -0.07rem -0.07rem 0.25rem rgba(0, 0, 0, 0.04); */
}

.navigationMenu{

    -webkit-box-shadow: inset 0px 0px 0px 15px white;
    -moz-box-shadow: inset 0px 0px 0px 15px white;
    box-shadow: inset 0px 0px 0px 15px white;
    transition: all 0.6s ease;
    z-index: 16;
    position: fixed;
    background-color: rgba(255, 255, 255, 0.5);
    width: 100vw;
    height: 100dvh;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;

}

.navigationMenuChange{

    -webkit-box-shadow: inset 0px 0px 0px 0px white;
    -moz-box-shadow: inset 0px 0px 0px 0px white;
    box-shadow: inset 0px 0px 0px 0px white;
    background-color: rgba(255, 255, 255, 0);

}

.navImage{

    width: clamp(290px, 65vw, 825px);
    transition: all 0.6s ease;

}

.navImageChange{

    width: 150px;
    position: fixed;
    top: 10px;
    left: 15px;
    background-color: rgba(255, 255, 255, 0.7);
    padding: 5px;

}

.navImageGallery{

    width: 160px !important;

}

.navigationButtonHolder{
 
    display: flex;
    align-items: center;
    justify-content: center;
    width: clamp(300px, 70vw, 750px);
    height: 40px;
    transition: transform 0.6s ease;
    margin-top: 20px;
    background-color: rgba(255, 255, 255, 0.4);
    border-radius: 44px;
    padding: 5px 0px;

}

.navigationButtonHolderChange{

    position: fixed;
    top: 20px;
    right: 20px;
    width: clamp(300px, 70vw, 550px);
    margin-top: 0px;

}

.navigationButtonHolder div{

    display: flex;
    align-items: center;
    justify-content: space-around;
    width: 50%;

}

.navButton{

    background-color: rgba(255, 255, 255, 0.7);
    font-size: 1.1em;
    border-radius: 20px;
    padding: 8px 16px;
    cursor: pointer;
    transition: all 0.4s ease;
    margin: 0;
    box-shadow: 0.09rem 0.09rem 0.3rem rgba(0, 0, 0, 0.2),
            -0.07rem -0.07rem 0.25rem rgba(0, 0, 0, 0.04);
}

.burger{

    background-color: rgba(255, 255, 255, 0.7);
    cursor: pointer;
    border: 3px solid rgba(0,0,0,0.8);
    width: 28px;
    height: 28px;
    border-radius: 20px;
    position: fixed;
    top: 25px;
    right: 30px;
    visibility: hidden;
    transition: all 0.4s ease;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 22;

}

.hideBurger{

    border-radius: 0 !important;
    transform: rotate(45deg);

}

.burger span {

    width: 75%;
    height: 2px;
    background: rgba(0, 0, 0, 1);
    transition: all 0.4s ease;
    display: block;
    position: absolute;
    opacity: 0;
    transition: all 0.4s ease;

}

.showSpan{
 
    opacity: 1 !important;
    
}

.burger span:nth-of-type(2) {

    transform: rotate(90deg);

}

.burgerMenu{

    background-color: rgba(255, 255, 255, 0.9);
    width: 100%;
    height: 100dvh;
    position: fixed;
    border-radius: 50%;
    transform: scale(0);
    outline: 1px solid rgba(0,0,0,0);
    outline-offset: -15px;
    transition: all 0.4s ease;
    z-index: 21;
}

.burgerMenuOpen{

    outline: 1px solid rgba(0, 0, 0, 0.8);
    border-radius: 0%;
    transform: scale(1);
    
}

.copyRight {

    background-color: rgba(255, 255, 255, 0.9);
    padding: 5px 10px;
    position: fixed;
    bottom: 0;
    left: 0;
    font-size: 0.7em;
    font-weight: bold;
    z-index: 40;
    border-top: 1px solid rgba(0, 0, 0, 0.2);
    border-right: 1px solid rgba(0, 0, 0, 0.2);

}

@media screen and (max-width: 1000px) {

    .navButton{
     
        font-size: 1em;

    }

    .introText {

        font-size: 1.5em;

    }
    
}

@media screen and (max-width: 920px){

    .copyRight {
    
        font-size: 0.6em;

    }

}

@media screen and (max-width: 768px){

    .introText {

        font-size: 1.2em;

    }

}

@media screen and (max-width: 700px) {

    .navigationButtonHolder{

        width: clamp(300px, 90vw, 550px);

    }

    .navigationButtonHolderChange{

        transform: scale(0);
        opacity: 0;

    }

}

@media screen and (max-width: 530px) {

    .navigationButtonHolder{

        flex-direction: column;
        height: auto;
        width: 275px;
        padding: 10px 0px;
        border-radius: 10px;

    }

    .navigationButtonHolder div{

        width: 300px;

    }

    .navigationButtonHolder div:nth-of-type(2){

        padding-top: 25px;

    }

    .copyRight {

        font-size: 0.5em;

    }

    .introText {

        font-size: 1em;
        margin-top: 5px;

    }

}

@media screen and (max-width: 426px) {

    .burger{

        width: 36px;
        height: 36px;
        border-radius: 30px;
        bottom: 30px;
        right: auto;
        top: auto;

    }

    .navImageChange{

        width: 220px;
        top: 12px;
        left: auto;
        background-color: rgba(0,0,0,0);

    }

    .pageContentContainer{

        top: 90px;
        /* clip-path: polygon(0% 0%, 0% 100%, 43% 100%, 43% 82%, 57% 81%, 57% 95%, 43% 95%, 41% 100%, 100% 100%, 100% 0%); */
    }

    .introText{

        width: 260px;
        padding: 6px 15px;

    }

}

.navigationButtonHolderOpen {

    top: auto;
    position: fixed;
    z-index: 23;
    right: auto;
    display: flex;
    flex-direction: column;
    width: 175px;
    box-shadow: 0.09rem 0.09rem 0.3rem rgba(0, 0, 0, 0.2),
        -0.07rem -0.07rem 0.25rem rgba(0, 0, 0, 0.04);
    height: 300px;
    justify-content: space-evenly;
    border-radius: 10px;
    transform: scale(1);
    opacity: 1;

}

.navigationButtonHolderOpen div {

    flex-direction: column;
    height: 50%;
    padding: 0 !important;
    width: 150px;

}

@media (hover : hover){

    .navButton:hover{

        background-color: rgba(255, 255, 255, 0.9);
        padding: 10px 18px;
        border: 1px solid black;

    }

    .burger:hover{

        background-color: rgba(255, 255, 255, 0.8);

    }

}

